Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Interface JWildcardType

All Superinterfaces:
  HasAnnotations, HasMetaData, JClassType, JType

    public interface JWildcardType

extends JClassType

Represents a wildcard type argument to a parameterized type.

Nested Class Summary
`static class` | `JWildcardType.BoundType` Type of wildcard bound.

Method Summary
`JClassType` | `getBaseType()`
`JWildcardType.BoundType` | `getBoundType()`
`JClassType` | `getFirstBound()`
`JClassType[]` | `getLowerBounds()` Returns the lower bounds of this wildcard type.
`JClassType` | `getUpperBound()`
`JClassType[]` | `getUpperBounds()` Returns the upper bounds of this wildcard type.

Methods inherited from interface com.google.gwt.core.ext.typeinfo.JClassType
`asParameterizationOf, findAnnotationInTypeHierarchy, findConstructor, findField, findMethod, findNestedType, getConstructor, getConstructors, getEnclosingType, getErasedType, getField, getFields, getFlattenedSupertypeHierarchy, getImplementedInterfaces, getInheritableMethods, getMethod, getMethods, getName, getNestedType, getNestedTypes, getOracle, getOverloads, getOverridableMethods, getPackage, getSubtypes, getSuperclass, isAbstract, isAssignableFrom, isAssignableTo, isDefaultInstantiable, isEnhanced, isFinal, isLocalType, isMemberType, isPackageProtected, isPrivate, isProtected, isPublic, isStatic, setEnhanced`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.JType
`getJNISignature, getLeafType, getParameterizedQualifiedSourceName, getQualifiedBinaryName, getQualifiedSourceName, getSimpleSourceName, isAnnotation, isArray, isClass, isClassOrInterface, isEnum, isGenericType, isInterface, isParameterized, isPrimitive, isRawType, isTypeParameter, isWildcard`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations
`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasMetaData
`getMetaData, getMetaDataTags`

Method Detail

### getBaseType

    JClassType getBaseType()

### getBoundType

    JWildcardType.BoundType getBoundType()

### getFirstBound

    JClassType getFirstBound()

### getLowerBounds

    JClassType[] getLowerBounds()

  Returns the lower bounds of this wildcard type. If no lower bounds were declared, an empty array is returned.

  Returns:
    the lower bounds of this wildcard type

### getUpperBound

    JClassType getUpperBound()

### getUpperBounds

    JClassType[] getUpperBounds()

  Returns the upper bounds of this wildcard type. If no upper bounds were declared, an array containing `Object` is returned.

  Returns:
    the upper bounds of this wildcard type

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD